#ifndef _READFONT_H_
#define _READFONT_H_

// UTF-8(半角/全角)をUTF-16に変換して
// FONT PATTERNデータを返す

class READFONT {
  public:
    uint8_t fontData[8] ; // FONT PATTERN データ

  public:
    int UTF8LEN(uint8_t *utf8codes) ;                 // UTF8の文字長を返す
    uint16_t UTF8ToUTF16( uint8_t *utf8codes ) ;      // UTF8 -> UTF16 変換
    uint16_t utf16_HantoZen(uint16_t utf16code);      // UTF16半角コードをUTF16全角コードに変換
    boolean getFontDataByUTF16(uint16_t utf16code) ;  // UTF16に対応する美咲フォントデータ8バイトを取得

  private:
    boolean isHkana(uint16_t utf16code) ;      // 半角カナコード判定
    uint16_t hkana2kana(uint16_t utf16code);   // 半角カナを全角に変換
} ;

#endif
