/*
 * SSD1306 128x64に 8x8のフォントを表示
 * 
 */
#ifndef _SSD1306SPI_H_
#define _SSD1306SPI_H_
#include <arduino.h>
#include <SPI.h>

#define OLED_WIDTH 128  // OLEDの幅(ピクセル数)
#define OLED_HEIGHT 64  // OLEDの高さ(ピクセル数)
#define OLED_PAGES 8    // OLEDのページ数(ピクセル数÷８)
#define OLED_CHAR_W 16
#define OLED_CHAR_H 8

class SSD1306SPI
{
  private:
    int cursorX ;
    int cursorY ;
    uint16_t DisplayBuff[OLED_CHAR_W * OLED_CHAR_H] ;   // スクロール用キャラクラRAM領域

  public:
    void init(); // 初期化
    void cls(); // 画面クリア
    void dispSwitch(bool sw) ;
    void Print(char *str) { Print(str, false); }  // 文字列表示
    void Println(char *str) { Print(str, true); } // 文字列表示
    void PrintCR() ;

  protected:
    void clsOLED() ;
    void Print(char *str,bool flagCR); // 文字列表示
    void scroll( ) ;
    void oledBitMap(int col, int row, int width, uint8_t *bitMap) ;
    void oledSendCommand(uint8_t command); // OLEDに1バイトコマンドを送信
    void oledSendCommand2(uint8_t command1, uint8_t command2); // OLEDに2バイトコマンドを送信
    void oledSendCommand3(uint8_t command1, uint8_t command2,uint8_t command3); // OLEDに3バイトコマンドを送信
    void oledSendCommands(int commandLen, uint8_t commands[]); // OLEDに複数のコマンドを送信
} ;
#endif
